<template>
    <div>
        <h3 class="text-center">Edit Article</h3>
        <div class="row">
            <div class="col-md-6" v-if="isLoaded">
                <form @submit.prevent="updateProduct">
                    <div class="form-group">
                        <label>Title</label>
                        <input type="text" class="form-control" v-model="article.title">
                    </div>
                    <div class="form-group">
                        <label>Detail</label>
                        <input type="text" class="form-control" v-model="article.detail">
                    </div>
                    <button type="submit" class="btn btn-primary">Update</button>
                </form>
            </div>

            <div class="col-md-12" v-else>
                <div class="preloader"></div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return {
            article: {},
            isLoaded: false,
        }
    },
    created() {
        this.axios
            .get(`/api/articles/${this.$route.params.id}`)
            .then((res) => {
                this.article = res.data;
                this.isLoaded = true;
            });
    },
    methods: {
        updateProduct() {
            this.axios
                .patch(`/api/articles/${this.$route.params.id}`, this.article)
                .then((res) => {
                    this.$router.push({ name: 'home' });
                });
        }
    }
}
</script>
